#!/usr/bin/perl -w

use DB_File;                      # load database module

if (@ARGV < 1)
{
        print ("Usage: $0 filename.db\n");
        exit(0);
}

$FILENAME=$ARGV[0];

tie %HASH, "DB_File", $FILENAME, O_RDWR|O_CREAT, 0660, $DB_BTREE  # open database, to be accessed
    or die "Can't open $FILENAME: $!\n";    # through %HASH

print "Registros de Filename: $FILENAME\n";

while (my($key, $value) = each %HASH) {
    print "key: '$key', value: '$value'\n";
}
untie %HASH;                      # close the database

